Name:           python-cryptography-vectors
Version:        3.0
Release:        2
License:        ASL 2.0 or BSD
Summary:        This module is a test vectors for the cryptography package
URL:            https://pypi.python.org/pypi/cryptography-vectors
Source0:        https://pypi.io/packages/source/c/cryptography-vectors/cryptography_vectors-%{version}.tar.gz
BuildArch:      noarch

%description
This package is a test vectors for the python-cryptography.

%package     -n python3-cryptography-vectors
Summary:        This module is a test vectors for the cryptography package
BuildRequires:  python3-devel python3-setuptools
%{?python_provide:%python_provide python3-cryptography-vectors}

%description -n python3-cryptography-vectors
This package is a test vectors for the python-cryptography.

%prep
%autosetup -n cryptography_vectors-%{version}
rm -vrf cryptography_vectors.egg-info

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files -n python3-cryptography-vectors
%defattr(-,root,root)
%license LICENSE LICENSE.APACHE LICENSE.BSD
%{python3_sitelib}/cryptography_vectors/
%{python3_sitelib}/cryptography_vectors-%{version}-py*.egg-info

%changelog
* Thu Oct 22 2020 zhangtao <zhangtao221@huawei.com> - 2.3-2
- delete python2

* Mon Jul 27 2020 dingyue<dingyue5@huawei.com> -3.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v3.0

* Thu Apr 16 2020 chengquan<chengquan3@huawei.com> -2.9-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v2.9

* Fri Feb 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.6.1-1
- Update to 2.6.1

* Mon Nov 25 2019 Ling Yang <lingyang2@huawei.com> - 2.3-2
- Package init
